<h3 align="center">
  <img src="https://raw.githubusercontent.com/catppuccin/catppuccin/main/assets/logos/exports/1544x1544_circle.png" width="100" alt="Logo"/><br/>
  <img src="https://raw.githubusercontent.com/catppuccin/catppuccin/main/assets/misc/transparent.png" height="30" width="0px"/>
  Catppuccin Userstyles
  <img src="https://raw.githubusercontent.com/catppuccin/catppuccin/main/assets/misc/transparent.png" height="30" width="0px"/>
</h3>

<h6 align="center">
  <a href="#%EF%B8%8F-install">Install</a>
  ·
  <a href="#-contributing">Contributing</a>
  ·
  <a href="#-userstyles">Userstyles</a>
</h6>

<p align="center">
  <img src="https://raw.githubusercontent.com/catppuccin/catppuccin/main/assets/palette/macchiato.png" width="400" />
</p>

<p align="center">
	<a href="https://github.com/catppuccin/userstyles/stargazers">
		<img alt="Stargazers" src="https://img.shields.io/github/stars/catppuccin/userstyles?style=for-the-badge&logo=starship&color=C9CBFF&logoColor=D9E0EE&labelColor=302D41"></a>
	<a href="https://github.com/catppuccin/userstyles/releases/latest">
		<img alt="Releases" src="https://img.shields.io/github/release/catppuccin/userstyles.svg?style=for-the-badge&logo=github&color=F2CDCD&logoColor=D9E0EE&labelColor=302D41"/></a>
	<a href="https://github.com/catppuccin/userstyles/issues">
		<img alt="Issues" src="https://img.shields.io/github/issues/catppuccin/userstyles?style=for-the-badge&logo=gitbook&color=B5E8E0&logoColor=D9E0EE&labelColor=302D41"></a>
</p>

<p align="center">
This repository is a curated collection of customized themes designed for various websites and web applications. 
These themes showcase delightful pastel colors, creating a soothing and visually pleasing experience when browsing the web.
</p>

<p align="center">
<strong>Userstyles are essentially modified CSS files which can be applied to a specific website, 
giving it a unique and appealing aesthetic in line with Catppuccin's color palette.</strong>
</p>

&nbsp;

## 🖥️ Install

To install these userstyles:

1. Install [Stylus](https://github.com/openstyles/stylus)
   - [Firefox](https://addons.mozilla.org/en-GB/firefox/addon/styl-us/)/[Chrome](https://chrome.google.com/webstore/detail/stylus/clngdbkpkpeebahjckkjfobafhncgmne) extension.
2. Enable CSP Patching from `Stylus Settings` > `Advanced`.
3. Install the theme:
   - `https://github.com/catppuccin/userstyles/raw/main/styles/<name>/catppuccin.user.css`
   - Replacing `<name>` with the name of the userstyle.
4. Enjoy!

&nbsp;

## 👐 Contributing

> **Note** <br>
> If you would like to submit a userstyle or learn how to port Catppuccin to a website, please refer to the [userstyle-creation.md](docs/userstyle-creation.md).

See [CONTRIBUTING.md](docs/CONTRIBUTING.md)

&nbsp;

## 🖌 Userstyles

<!-- AUTOGEN:USERSTYLES START -->
<!-- the following section is auto-generated, do not edit -->
<details open>
<summary>💭 Development tools</summary>

- [Vercel](styles/vercel)

</details>
<details open>
<summary>🔎 Search Engines</summary>

- [Brave Search](styles/brave-search)
- [NixOS Search](styles/nixos-search)
- [SearXNG](styles/searxng)

</details>
<details open>
<summary>💬 Messaging</summary>

- [Cinny](styles/cinny)

</details>
<details open>
<summary>🗂️ Productivity</summary>

- [Codeberg](styles/codeberg)
- [DeepL](styles/deepl)
- [GitHub](styles/github)
- [ichi.moe](styles/ichi.moe)
- [Proton](styles/proton)
- [Tutanota](styles/tutanota)
- [WikiWand](styles/wikiwand)

</details>
<details open>
<summary>✨ Social</summary>

- [Elk](styles/elk)
- [Hacker News](styles/hacker-news)
- [Invidious](styles/invidious)
- [Libreddit](styles/libreddit)
- [Mastodon](styles/mastodon)
- [Nitter](styles/nitter)
- [Reddit](styles/reddit)
- [Twitch](styles/twitch)
- [YouTube](styles/youtube)

</details>
<details open>
<summary>🌈 Leisure</summary>

- [AniList, AniChart](styles/anilist)
- [Last.fm](styles/lastfm)

</details>
<details open>
<summary>🎮 Games</summary>

- [Modrinth](styles/modrinth)

</details>
<!-- AUTOGEN:USERSTYLES END -->

&nbsp;

<p align="center"><img src="https://raw.githubusercontent.com/catppuccin/catppuccin/main/assets/footers/gray0_ctp_on_line.svg?sanitize=true" /></p>
<p align="center">Copyright &copy; 2021-present <a href="https://github.com/catppuccin" target="_blank">Catppuccin Org</a>
